## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit d266daf800f77dd41781af23d25ece513887afc5
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapinfo 20220206git%{shortcommit}

Name:     pdfsign
Version:  0
Release:  %autorelease -s %{snapinfo}
Summary:  Sign PDF (PAdES compatible)
License:  GPLv2
URL:      https://github.com/opensignature/pdfsign
Source0:  https://github.com/opensignature/pdfsign/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires: gcc-c++
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: libjpeg-turbo-devel
BuildRequires: libpng-devel
BuildRequires: openssl-devel
BuildRequires: podofo0.9-devel

%description
Sign PDF (PAdES compatible)

%prep
%autosetup -n pdfsign-%{commit}

%build
g++ pdfsign.cpp -I/usr/include/podofo/ -lpodofo -ljpeg -lfreetype -lpng -lz -lcrypto -lpthread -lfontconfig %{optflags} %{build_ldflags} -o pdfsign

%install
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vp %{_builddir}/pdfsign-%{commit}/pdfsign %{buildroot}%{_bindir}

%files
%license LICENSE
%{_bindir}/pdfsign

%changelog
* Wed Aug 16 2023 Sandro Mani <manisandro@gmail.com> - 0-6.20220206gitd266daf
- Switch to BR podofo0.9-devel

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-5.20220206gitd266daf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-4.20220206gitd266daf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-3.20220206gitd266daf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 03 2022 Sandro Mani <manisandro@gmail.com> - 0-2.20220206gitd266daf
- Rebuild (podofo)

* Tue Apr 12 2022 Fabio Alessandro Locati <me@fale.io> - 0-1.20220206gitd266daf
- initial version. Review: rhbz#2072599
